> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `PATCH /api/v1/returns/:id/approve`

> `PATCH /api/v1/returns/:id/approve`

### Path parameters

<ParamField path="id" type="string" required>
  Return ID (UUID)
</ParamField>

### Responses

<ResponseField name="200" type="ReturnResponse">
  Return approved
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Return cannot be approved
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Return not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url 'https://api.stateset.com/api/v1/returns/{id}/approve' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "reason": "string",
    "refund_amount": null,
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
